Bug 494908 - Cobbler 1.6 and Spacewalk are incompatible
Cobbler 1.6 and Spacewalk are incompatible
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Mike McCune
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-04-08 12:49 EDT by Mike McCune
Modified: 2009-09-10 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 494066
Environment:
Last Closed: 2009-09-10 15:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-04-08 12:49:54 EDT
+++ This bug was initially created as a clone of Bug #494066 +++

We get massive stacktraces when we try to create kickstart profiles in Spacewalk with 0.5 and Cobbler 1.6.

This requires a change on both sides:

Cobbler:

http://tinyurl.com/cyvkyg

Spacewalk:

Removal of \n from returned strings:

diff --git a/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java b/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java
index 5510ba1..63539f2 100644
--- a/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java
+++ b/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java
@@ -71,9 +71,6 @@ public class CobblerXMLRPCHelper implements XMLRPCInvoker {
         catch (XmlRpcException e) {
             throw new RuntimeException("XmlRpcException calling cobbler.", e);
         } 
-        if (retval instanceof String) {
-            retval = retval + "\n";
-        }
         return retval;
     }
     
diff --git a/java/code/src/org/cobbler/CobblerConnection.java b/java/code/src/org/cobbler/CobblerConnection.java
index 51d4300..8ec8b74 100644
--- a/java/code/src/org/cobbler/CobblerConnection.java
+++ b/java/code/src/org/cobbler/CobblerConnection.java
@@ -115,18 +115,14 @@ public class CobblerConnection {
      * @return Object returned.
      */
     private Object invokeMethod(String procedureName, List args) {
-        log.debug("procedure: " + procedureName + " Orig ags: " + args);
+        log.debug("procedure: " + procedureName + " ags: " + args);
         Object retval;
         try {
-            log.debug("args array: " + args);
             retval = client.invoke(procedureName, args);
         } 
         catch (Exception e) {
             throw new XmlRpcException("XmlRpcException calling cobbler.", e);
         } 
-        if (retval instanceof String) {
-            retval = retval + "\n";
-        }
         return retval;
     }
Comment 1 Mike McCune 2009-04-22 18:30:34 EDT
ON_QA
Comment 2 Mike McCune 2009-05-20 13:29:02 EDT
ON_QA
Comment 3 Steve Salevan 2009-06-01 12:58:25 EDT
VERIFIED on 5/29 build.
Comment 4 Preethi Thomas 2009-07-28 17:38:57 EDT
release pending.
no stacktraces when creating kickstart profile.
https://sun-x4200-01.rhts.bos.redhat.com
Comment 5 Brandon Perkins 2009-09-10 15:24:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.